> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-update.md).

# workflows update

## Synopsis

```shell
omics workbench workflows update WORKFLOW_ID
  [--name=TEXT]
  [--description=FILE|TEXT]
  [--authors=JSON_DATA]
```

## Description

Update the metadata of an existing workflow specified by `WORKFLOW_ID`. You can modify the name, description, and authors of the workflow using the provided flags.

## Examples

Update the name of an existing workflow with the given `WORKFLOW_ID`:

```shell
omics workbench workflows update d37c4ea5-92c5-4ca8-b0cb-0e6171b2fca7 --name "New Workflow Name"
```

Update the description of the workflow using a Markdown description from a file:

```shell
omics workbench workflows update d37c4ea5-92c5-4ca8-b0cb-0e6171b2fca7 --description @new_description.md
```

Update the authors of the workflow using a comma-separated list:

```shell
omics workbench workflows update d37c4ea5-92c5-4ca8-b0cb-0e6171b2fca7 --authors "Author1, Author2, Author3"
```

You can also provide authors as JSON data:

```shell
omics workbench workflows update d37c4ea5-92c5-4ca8-b0cb-0e6171b2fca7 --authors '["Author1", "Author2", "Author3"]'
```

Or you can specify authors from a JSON file:

```shell
omics workbench workflows update d37c4ea5-92c5-4ca8-b0cb-0e6171b2fca7 --authors @authors.json
```

## Positional Arguments

### `WORKFLOW_ID`

The unique identifier of the workflow you want to update.

## Flags

### `--name`=`TEXT`

Change the human-readable name of the workflow.

### `--description`=`FILE|TEXT`

Provide or update the description of the workflow. You can either provide the description directly as text or use a file containing the description in Markdown format.

### `--authors`=`TEXT|JSON_DATA|FILE`

Modify the list of authors for the workflow. You can provide a comma-separated list of authors, JSON data with authors, or specify a file containing the authors' information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
